package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class PayPalTest {

    CreditCard creditCard = new CreditCard(001, "Nira Parikh", "123456789876", 10, 2020);
    Check check = new Check(002, "Nira Parikh", "031100089", "123456789");
    PayPal payPal = new PayPal(003, "Nira Parikh", "angellegna@gmail.com");

    @Test
    public void testGetShortDescription() {
        String expected = "PayPal Nira Parikh angellegna@gmail.com";
        String actual = payPal.getShortDescription();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testCompareTo_PaypalToCC() {
        Assert.assertTrue(payPal.compareTo(creditCard) > 0);
    }

    @Test
    public void testCompareTo_PaypalToCheck() {
        Assert.assertTrue(payPal.compareTo(check) > 0);
    }
}