package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class PaymentPresenterTest {

    @Test
    public void testToString_NoPayments() {
        Payment[] payments = new Payment[0];
        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "";

        String actual = presenter.toString(payments);

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void toString_Payments() {
        Payment[] payments = new Payment[2];
        Payment payPal = new PayPal(4L, "Tia Mowry", "tia@mowry.com");
        Payment check = new Check(81L, "Tia Mowry", "11432543", "134344551");

        payments[0] = payPal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Check Tia Mowry ***4551 \n PayPal Tia Mowry tia@mowry.com\n";

        String actual = presenter.toString(payments);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void toStringByPayerName(){
        Payment[] payments = new Payment[2];
        Payment payPal = new PayPal(4L, "Tamara Mowry", "tamara@mowry.com");
        Payment check = new Check(81L, "Tia Mowry", "11432543", "134344551");

        payments[0] = payPal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = " PayPal Tamara Mowry tamara@mowry.com\nCheck Tia Mowry ***4551\n";

        String actual = presenter.toStringByPayerName(payments);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void toStringbyId(){
        Payment[] payments = new Payment[2];
        Payment payPal = new PayPal(120L, "Tamara Mowry", "tamara@mowry.com");
        Payment check = new Check(81L, "Tia Mowry", "11432543", "134344551");

        payments[0] = payPal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Check Tia Mowry ***4551\nPayPal Tamara Mowry tamara@mowry.com\n";

        String actual = presenter.toStringById(payments);
        Assert.assertEquals(expected, actual);
    }

}